USE 90
JOIN 13 ALIAS 300 INTO COM==COM
JOIN LCP ALIAS 100 INTO CODTAB==LOCALITA
JOIN 96 INTO CODSEZ==CODSEZ
JOIN CTD ALIAS 200 INTO CODTAB==CATDON
JOIN CTN ALIAS 500 INTO CODTAB==CATNOND1
JOIN CTN ALIAS 600 INTO CODTAB==CATNOND2
JOIN 13 ALIAS 400 INTO COM==COMNASC

END
DESCRIPTION
BEGIN
  90->* "Soggetti Sezioni AVIS"
  13->* "COMUNI"
  LCP->* "Localit postali"
  96->* "Sezioni AVIS"
  CTD->* "Categorie donatori"
  CTN->* "Categorie non donatori"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Arial"
  SIZE 12
  GRID ""
END

SECTION BODY ODD 60

NUMERO 1 13
BEGIN
   KEY "Codice"
   FIELD 90->CODICE
   PROMPT 1 1 "Codice "
END

STRINGA 2 33
BEGIN
   KEY "Cognome"
   FIELD 90->COGNOME
   PROMPT 1 2 "Cognome "
END

STRINGA 3 33
BEGIN
   KEY "Nome"
   FIELD 90->NOME
   PROMPT 35 2 "Nome "
END

STRINGA 4 7
BEGIN
 KEY "Codice sezione"
 FIELD 90->CODSEZ
 PROMPT 1 4 "Sez. "
END

STRINGA 5 25
BEGIN
   KEY "Denominazione sezione"
   FIELD 96->DENSEZ
   PROMPT 9 4 ""
END

STRINGA 6 7
BEGIN
 KEY "Codice sottog."
 FIELD 90->CODSOT
 PROMPT 1 5 "Sot. "
END

STRINGA 7 25
BEGIN
   KEY "Denominazione sottog."
   FIELD 96->DENSOT
   PROMPT 9 5 ""
END

STRINGA 8 12
BEGIN
 KEY "Categoria don."
 FIELD 90->CATDON
 PROMPT 35 4 "Categoria "
END

STRINGA 9 25
BEGIN
   KEY "Descrizione categoria"
   FIELD 200@->S0
   PROMPT 48 4 ""
END

DATA 10 10
BEGIN
   KEY "Data iscrizione"
   FIELD 90->DATAISC
   PROMPT 35 5 "Data iscr. "
END

DATA 11 10
BEGIN
   KEY "Data dimissione"
   FIELD 90->DATADIM
   PROMPT 56 5 "Data dim. "
END


STRINGA 13 50
BEGIN
   KEY "Comune di nascita"
   PROMPT 0 0 ""
   FIELD 400@->DENCOM
   FLAG "H"
   MESSAGE RESET,15|COPY,15
END

STRINGA 14 5
BEGIN
   KEY "Provincia di nascita"
   PROMPT 0 0 ""
   FIELD 400@->PROVCOM
   FLAG "H"
   MESSAGE APPEND,15
END

STRINGA 15 56
BEGIN
   KEY "Comune e provincia di nascita"
   PROMPT 1 7 "Nato a    "
END

STRINGA 16 50
BEGIN
   KEY "Indirizzo"
   FIELD 90->INDIRIZZO
   PROMPT 1 8 "Indirizzo "
   MESSAGE RESET,24
END

STRINGA 17 4
BEGIN
   KEY "Codice Localita"
   FIELD 90->LOCALITA
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE ENABLE,1@|DISABLE,2@
   MESSAGE EMPTY DISABLE,1@|ENABLE,2@
END

STRINGA 18 5
BEGIN
   KEY "CAP Loc."
   FIELD LCP->S6
   PROMPT 0 0 ""
   GROUP 1
   MESSAGE APPEND,24
END

STRINGA 19 30
BEGIN
   KEY "Localita"
   FIELD LCP->S0
   PROMPT 0 0 ""
   FLAG "H"
   GROUP 1
   MESSAGE APPEND,24
END

STRINGA 20 5
BEGIN
   KEY "CAP Comune"
   FIELD 300@->CAPCOM
   PROMPT 0 0 ""
   FLAG "H"
   GROUP 2
   MESSAGE APPEND,24
END

STRINGA 21 50
BEGIN
   KEY "Comune"
   FIELD 300@->DENCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,24
END

STRINGA 22 5
BEGIN
   KEY "Provincia"
   FIELD 300@->PROVCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,24
END

STRINGA 23 11
BEGIN
   KEY "Testo fisso"
   PROMPT 1 9 "Localita'"
END

STRINGA 24 65 2
BEGIN
   KEY "Loc/Com/Prov"
   PROMPT 11 9 ""
END

STRINGA 25 30
BEGIN
   KEY "Tel. abi."
   FIELD 90->TELABI
   PROMPT 1 10 "Tel.abit. "
END

STRINGA 26 30
BEGIN
   KEY "Tel. lav."
   FIELD 90->TELLAV
   PROMPT 31 10 "Tel.lavoro "
END

STRINGA 27 30
BEGIN
   KEY "Tel. altro"
   FIELD 90->TELALT
   PROMPT 61 10 "Tel.altro "
END

STRINGA 31 13
BEGIN
   KEY "Categoria non don. 1"
   FIELD 90->CATNOND1
   PROMPT 1 12 "Altre cat. "
END

STRINGA 32 25
BEGIN
   KEY "Descrizione cat."
   FIELD 500@->S0
   PROMPT 15 12 ""
END
STRINGA 33 2
BEGIN
   KEY "Categoria non don. 2"
   FIELD 90->CATNOND1
   PROMPT 42 12 ""
END

STRINGA 34 25
BEGIN
   KEY "Descrizione cat."
   FIELD 600@->S0
   PROMPT 45 12 ""
END

END

END
